<?php
/**
 * @name administration.php
 * @description Contrôleur de l'administration d'Esia
 * @author Nicolas Biersart <n.biersart@esia-network.com>
 * @contributor
 * @copyright Nicolas Biersart 2013
 * @license
 * @esia 1.00
 * @version 1.0.0
 * @date 10/04/2013
 */
$admin="";
if(isset($_GET['admin']))
{
	$admin=$_GET['admin'];
	$ESIA_WIDGET_NOTREE=true;
}
include_once 'common.php';
include_once './Model_adm.php';
$ERROR=array();
$ADM_MESSAGE=array();
$navbar->addElement($lang['ADMIN'], '/administration.php',$ICONS['setting']);

if($licence['type'] =='universe' || $licence['type'] =='unity')
{
    $smarty->assign('esia_type','cloud');
}
else
{
    $smarty->assign('esia_type','enterprise');
}
$smarty->assign('adm_global_nodefooter',$admin);
$esialog = new EsiaLog(FILE_LOG,$user->getName());
if($user->getDroits($dbconnection,"esia_administration") ==1)
{
	if(isset($_GET['tab'])&&!empty($_GET['tab']))
	{
		$smarty->assign('adm_select_tab_load', $_GET['tab']);
		if(isset($_GET['typemsg'])&&!empty($_GET['typemsg']))
		{
			if($_GET['typemsg']!='OK')
			{
				if(!empty($lang[$_GET['message']])){
					$ERROR[]=array('name'=>$_GET['tab'],'message'=>$lang[$_GET['message']]);
				}
				else{
					$ERROR[]=array('name'=>$_GET['tab'],'message'=>$_GET['message']);
				}
			}
			else
			{
				if(!empty($lang[$_GET['message']])){
					$ADM_MESSAGE[]=array('name'=>$_GET['tab'],'message'=>$lang[$_GET['message']]);
				}
				else{
					$ADM_MESSAGE[]=array('name'=>$_GET['tab'],'message'=>$_GET['message']);
				}
			}
		}
	}
	switch($admin)
	{
		case 'users':
			if($user->getDroits($dbconnection,"esia_users") ==1)
				include'./inc/adm_users.inc.php';
			else
				$smarty->assign('l_no_access', $lang['NO_ACCESS']);
			break;
		case 'access':
			if($user->getDroits($dbconnection,"esia_access") ==1)
				include'./inc/adm_access.inc.php';
			else
				$smarty->assign('l_no_access', $lang['NO_ACCESS']);
			break;
		case 'groups':
			if($user->getDroits($dbconnection,"esia_groups") ==1)
				include'./inc/adm_group.inc.php';
			else
				$smarty->assign('l_no_access', $lang['NO_ACCESS']);
			break;
		case 'device':
			if($user->getDroits($dbconnection,"esia_device") ==1)
				include'./inc/adm_device.inc.php';
			else
				$smarty->assign('l_no_access', $lang['NO_ACCESS']);
			break;
		case 'nodegroups':
				if($user->getDroits($dbconnection,"esia_device") ==1)
					include'./inc/adm_device_group.inc.php';
				else
					$smarty->assign('l_no_access', $lang['NO_ACCESS']);
				break;
		case 'plugin':
			if($user->getDroits($dbconnection,"esia_device") ==1)
				include'./inc/adm_plugin.inc.php';
			else
				$smarty->assign('l_no_access', $lang['NO_ACCESS']);
			break;
		case 'pattern':
				if($user->getDroits($dbconnection,"esia_device") ==1)
					include'./inc/adm_pattern_service.inc.php';
				else
					$smarty->assign('l_no_access', $lang['NO_ACCESS']);
				break;
		case 'configuration':
				include'./inc/adm_configuration.inc.php';
				break;
		case 'showlog':
			$smarty->assign('showlog',true);
			break;
		case 'log':
				$smarty->assign('log',$esialog->getEsiaLog());
				break;
		case 'gdpr':
			$smarty->assign('gdpr', Model_adm::getGDPRRegister($dbconnection));
			break;
		default:
			$log = Model_adm::getDaemonLog($dbconnection,Model_esia::LOG_DAEMON_CHECK);
			$smarty->assign('daemon_check_log', $log);
			$log = Model_adm::getDaemonLog($dbconnection,Model_esia::LOG_DAEMON_TRAP);
			$smarty->assign('daemon_trap_log', $log);
			$log = Model_adm::getLastExecCheckPlugin($dbconnection);
			$smarty->assign('daemon_las_exec_plugin', $log);
			break;

	}
	//variable de langue
	$smarty->assign('l_adm_welcome_msg', $lang['ADM_WELCOME_MESSAGE']);
	$smarty->assign('l_adm_last_exec_plugin', $lang['ADM_LAST_EXEC_PLUGIN']);
	$smarty->assign('l_adm_last_daemon', $lang['ADM_LAST_DAEMON_MESSAGE']);
	$smarty->assign('l_adm_last_trapd', $lang['ADM_LAST_TRAPD_MESSAGE']);
	$smarty->assign('l_adm_message', $lang['MESSAGE']);
	$smarty->assign('l_adm_status', $lang['STATUS']);
	$smarty->assign('l_adm_node', $lang['NODE']);
	$smarty->assign('l_adm_last_exec', $lang['LAST_EXEC']);
	$smarty->assign('l_adm_date', $lang['DATE']);
	$smarty->assign('l_adm_service', $lang['SERVICE']);
	$smarty->assign('l_adm_plugins', $lang['PLUGINS']);
	$smarty->assign('l_adm_users', $lang['USERS']);	
	//echo '<pre>';print_r($adm_menu);echo '</pre>';
	
	//
	//Cette section permet de recharger le bon onglets de l'administration
	//
	if(isset( $_SESSION['previous']))
	{
	   $found=false;
	   $i=0; 
	   foreach($adm_menu as $menu)
	   {
	       if(strpos($menu['url'], "admin=".$_SESSION['previous']) )
	       {
	           $smarty->assign('tab_adm_index', $i);	
	           $found=true;
	           break;
	       }
	       $i++;
	   }
	   if($found==false && $_SESSION['previous']=="showlog")
	   {
	       $smarty->assign('tab_adm_index', $i);	
	   }
	}
	//on sauvegarde l'onglet dans lequelle on est 
	if(isset($admin))
	{
	    //pattern est dans l'onglet plugin
	    if($admin=="pattern")
	    {
	        $_SESSION['previous']='plugin';
	    }
	    elseif ($admin=="log"||$admin=="gdpr")
	    {
	        $_SESSION['previous']='showlog';
	    }
	    else
	    {
	       $_SESSION['previous']=$admin;
	    }
	}
	//Fin de la section de rechargement de l'onglet
}
else
{
    if($admin =='device')
    {
        if( (!empty($_GET['id'])|| !empty($_POST['modif'])) && isset($_GET['action']))
        {
            $node=null;
            if(!empty($_POST['modif']))
            {
                $node = Model_esia::InstanceNode($dbconnection,$_POST['modif']);
            }
            else
            {
                $node = Model_esia::InstanceNode($dbconnection,$_GET['id']);
            }
            // on vérifier les droits d'accès au noeuds 
            if($user->getDroits($dbconnection,"esia_device") ==1 && $user->getDroits($dbconnection,"device_view",$node->getName()) ==1)
            {
                //on récupère l'action demandée si il n'y a pas de demande on liste.
                $action = $_GET['action'];
                if($action !='listNode' && $action !='create' && $action !='delete')
                {
                    include'./inc/adm_device.inc.php';
                }
            }
            else
            {
                $smarty->assign('l_no_access', $lang['NO_ACCESS']);
            }
        }
        else
        {
            $smarty->assign('l_no_access', $lang['NO_ACCESS']);
        }
    }
    else
    {
	   $smarty->assign('l_no_access', $lang['NO_ACCESS']);
    }
}
$smarty->assign('ERRORS',$ERROR);
$smarty->assign('ADM_MESSAGE',$ADM_MESSAGE);
//affichage de la page
$smarty->display('adm_body.html');
/*@NAME: convert_tree_to_select
 *@IN: $top un tableau associatif de type renvoyer par Model_esia::getGroupDeviceIn($dbconnection)
*	$parent_id id du groupe du groupe parent
*@OUT: un tableau contenant les noms des groupes de device enfants
*array('id'=>$row->device_group_id,
		*		'name'=> $row->device_group_name,
		'level'=> niveau dans le tableau
		'id du parent'=> niveau dans le tableau
		*@TREAT: FONCTION RECURSIVE !!!!! (utilisée avec la fonction getGroupDeviceIn)
		*		transforme un tableau de tableau récursif de  getGroupDeviceIn en tableau simple avec une valeur 'level' indiquant le niveau du auquelle ils se trouvent
		*@EXCEPTION: /
		*/

function convert_tree_to_select($top,$itt,$parentid=null,$parentname=null)
{
	/*for($i=0;$i<$itt;$i++)
		echo'=';
	echo $top['name'].'<br />';*/
	$pname=null;
	if(isset($parentname))
	{
		$pname = $parentname.' > '.$top['name'];
	}
	else
	{
		$pname = $top['name'];
	}
	$arr=array();
	$arr[]=array('id'=>$top['id'],'name'=>$top['name'],'level'=>$itt,'parent'=>$parentid,'parent_name'=>$pname);
	$itt++;
	if(isset($top['child']))
	{
		$tmp=array();
		foreach($top['child'] as $child)
		{
			$tmp = convert_tree_to_select($child,$itt,$top['id'],$pname);
			$arr = array_merge($arr, $tmp);
		}
	}
	
	return $arr;
}
?>
