<?php
/*DESCRIPTION: inclus les variables habituelles pour la gestion d'une widget et vérifie les droits d'accès
 *APRES l'inclusion du common_widget les variables suivantes sont créées:
 *PHP:
 *      $action l'action passé dans l'url ou 'view'
 *      $widget un tableau associatif reprenant les paramètre de la widget
 * SMARTY
 *      $widget les informations de la widget
 *      $parameter les parametre de la widget (JSON)
 *      $action l'action passé dans l'url ou 'view'
 */
include "./common_widget.php";
$params = $widget['option'];
if($action =='update')
{
	if(isset($_POST['widgetid'])&&!empty($_POST['widgetid']))
	{
		try 
		{
			$widget = getPostDefaultParams($widget,$_POST);
			$params = $widget['option'];
			//Option des noeuds				
			$params['type'] = $_POST['type'];	
			
			// Affichage msg				
			$params['affiche_msg']=$_POST['affiche_msg'];
			
			Model_esia::updateWidget($dbconnection, $widget['id'], $widget['name'], $widget['description'], $widget['during'], $params);
			$smarty->assign('l_success',$lang['UPDATE_DASHBOARD_SUCCESS']);
			$widget['option']=$params;
			$smarty->assign('widget',$widget);
		}
		catch(Exception $e)
		{
			$smarty->assign('l_error',$e->getMessage());
		}
	}
	//recupération des styles
	$title = getWidgetStyle($params['title']['style'],14,'left','#575759');
	$description = getWidgetStyle($params['description']['style'],12,'#575759');
	$smarty->assign('titlestyle',$title);
	$smarty->assign('descriptionstyle',$description);
	$smarty->assign('params',$widget['option']);			

	$smarty->assign('title',$lang['DASHBOARD_MESSAGE_SELECTED']);
	$smarty->assign('descr',$lang['DASHBOARD_SELECT_NODE']);						
}
else
{			
    if($widget['option']['affiche_msg']=='affiche_tab_view')
	{			
		$com_msg = Model_esia::getCommunicationNewMsg($dbconnection,$user->getId(),$user->getDroits($dbconnection,"esia_administration"),true);
		$list_message = array();
			
		foreach($com_msg as $row => $innerArray)
		{
			$list_message[$i]['id']=$innerArray['id'];
			$list_message[$i]['type']=$innerArray['type'];
			$list_message[$i]['getcontent']=$innerArray['getcontent'];
			if($innerArray['getcontent']=='db')
			{
				$list_message[$i]['title']=$lang[$innerArray['title']];
				$list_message[$i]['message']=$lang[$innerArray['message']];
			}
			else
			{
				$list_message[$i]['title']=$innerArray['title'];
				$list_message[$i]['message']=$innerArray['message'];
			}
			$list_message[$i]['start_date']=date_format(new DateTime($innerArray['start_date']),'d/m/Y');
			$list_message[$i]['end_date']=date_format(new DateTime($innerArray['end_date']),'d/m/Y');
			$list_message[$i]['show']=$innerArray['show'];
			$i++;
		}
		$smarty->assign('list_message',$list_message);
		$smarty->assign('action',"tab_view");		
	}
	else
	{
		$com_msg = Model_esia::getCommunicationNewMsg($dbconnection,$user->getId(),$user->getDroits($dbconnection,"esia_administration"),false);
		$smarty->assign('nbr_new_msg',count($com_msg));
		$smarty->assign('action','view_nbr_msg');
	}		
}
$smarty->display($path.'/dashboard/template/view_com_msg.html');
?>
