<?php
/**
 * @name srv_control.php
 * @description Fichier principal du plugin serveur
 * @author Nicolas Biersart <n.biersart@esia-sa.com>
 * @contributor
 * @copyright Nicolas Biersart 2012
 * @license
 * @esia 1.00
 * @version 1.0.0
 * @date 09/11/2012
 */
$path = $_SERVER['DOCUMENT_ROOT'];
// $webp_name doit être identique au nom de la base de données !!!
$webp_name='XXX'; 
//$webp_model='model_'.$webp_name.'.php'; 
//Inclusion des librairie
include_once $path.'common.php';

/*DESCRIPTION: inclus les variables habituelles pour la gestion d'un noeud et vérifie les droits d'accès
 *NECESSITE: la variable $webp_name configurée
 *           la variable $webp_model est incluste
 *APRES l'inclusion du common_node_control les variables suivantes sont créées:
 *PHP:
 *      $node objet de type device
 *      $template_path chemin d'accès vers le répertoire template du plugin (exemple: /usr/local/esia/public_html/plugin/server/templates/)
 *      $apache_plugin_path chemin apache du plugin (exemple: /plugin/server/)
 *      $node_info = array('id'=>$node->getId(),
                    'name'=>$node->getName(),
				    'ip'=>$node->getIPAddress(),
				    'id'=>$node->getId(),
				    'description'=>$node->getDescription(),
				    'group'=>$node->getGroup());
 * SMARTY
        $webp_name nom du plugin 
        $node avec les donnée de node_info (voir au dessus)
 *      $apache_path chemin apache du plugin (exemple: /plugin/server/)
 *      $node_status pour l'affichage commun des noeuds si $_GET['tab'] est vide
 *
 */
include_once $path.'/inc/common_node_control.php';

//Variable passé en paramètre
$tab='';
if(isset($_GET['tab'])&& !empty($_GET['tab']))
{
	$tab=$_GET['tab'];
}
$action='';
if(isset($_GET['action'])&& !empty($_GET['action']))
{
	$action=$_GET['action'];
}
$smarty->assign('tab', $tab);


session_write_close();
try
{
    if($tab=='servicestate')
    {
    }
}
//Traitement des exceptions SNMP et des erreurs de traitement dans la base de donnée
catch(DeviceNotAliveException $e)
{
	$smarty->assign('errors','no');
}
catch(DeviceSNMPException $e)
{
	$smarty->assign('errors',$lang['ADM_ERR_SNMP_FAILED']);
}
catch(DeviceException $e)
{
	$smarty->assign('errors',$e->getMessage());
}
$smarty->display($template_path.'control_'.$webp_name.'.html');
?>
